Timekit developers

PUT Update a project

You can automatically update the different settings in a project, this means that only the settings that you input are updated, so you don't have to provide the entire project JSON in order to update a single setting.

A successful update returns 204 No Content with an empty body.

Updating a project through the API is not available on all plans. See Create a project for details.

Endpoint

PUT https://api.timekit.io/v2/projects/{id}

Parameters

Name In Type Required Default Description
id path string The ID of the project you want to update

Request examples

curl
curl --request PUT \
  --url https://api.timekit.io/v2/projects/<id> \
  --header 'Content-Type: application/json' \
  --user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
  --data '{
  "availability": {
    "length": "1 hour"
  }
}'
curl
curl --request PUT \
  --url https://api.timekit.io/v2/projects/<id> \
  --header 'Content-Type: application/json' \
  --user :<API_KEY> \
  --data '{
      "availability_constraints": [
        { "allow_day_and_time": {"day": "Monday", "start": 9, "end": 17 }},
        { "allow_day_and_time": {"day": "Tuesday", "start": 9, "end": 17 }},
        { "allow_day_and_time": {"day": "Wednesday", "start": 9, "end": 17 }},
        { "allow_day_and_time": {"day": "Thursday", "start": 9, "end": 17 }},
        { "allow_day_and_time": {"day": "Friday", "start": 9, "end": 17 }}
      ]
    }'
curl
curl --request PUT \
  --url https://api.timekit.io/v2/projects/<id> \
  --header 'Content-Type: application/json' \
  --user :<API_KEY> \
  --data '{
      "availability_constraints": [
 		{"block_weekends": {} },
  		{"allow_hours": {"start": 9, "end": 17} },
  		{"block_hours": {"start": 12, "end": 13} }
      ]
    }'
curl
curl --request PUT \
  --url https://api.timekit.io/v2/projects/<id> \
  --header 'Content-Type: application/json' \
  --user :<API_KEY> \
  --data '{
      "availability_constraints": [
        { "allow_day_and_time": {"day": "Monday", "start": 10, "end": 17 }},
        { "allow_day_and_time": {"day": "Wednesday", "start": 10, "end": 17 }},
        {"allow_period": {"start": "2018-06-01 09:00:00", "end": "2018-06-30 17:00:00"} }
      ]
    }'
Last edited 6 October 2026.